globus_gsi_cert_utils_activation(3)

NAME
globus_gsi_cert_utils_activation

SYNOPSIS

  Macros

#define GLOBUS_GSI_CERT_UTILS_MODULE

Detailed Description

Globus GSI Cert Utils uses standard Globus module activation and deactivation. Before any Globus GSI Cert Utils functions are called, the following function must be called:

globus_module_activate(GLOBUS_GSI_CERT_UTILS_MODULE)

This function returns GLOBUS_SUCCESS if Globus GSI Credential was successfully initialized, and you are therefore allowed to subsequently call Globus GSI Cert Utils functions. Otherwise, an error code is returned, and Globus GSI Cert Utils functions should not be subsequently called. This function may be called multiple times.

To deactivate Globus GSI Cert Utils, the following function must be called:

globus_module_deactivate(GLOBUS_GSI_CERT_UTILS_MODULE)

This function should be called once for each time Globus GSI Cert Utils was activated.

Macro Definition Documentation

  #define GLOBUS_GSI_CERT_UTILS_MODULE
Module descriptor

Author

Generated automatically by Doxygen for globus_gsi_cert_utils from the source code.